Debian Bug report logs - #368734
ITP: libnet-amazon-s3-perl -- Perl library for using the Amazon's Simple Storage Service API

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexis Sukrieh <sukria@sukria.net>

Date: Wed, 24 May 2006 14:48:05 UTC

Owned by: Alexis Sukrieh <sukria@sukria.net>

Severity: wishlist

Fixed in versions 0.38-1, libnet-amazon-s3-perl/0.39-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368734; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexis Sukrieh <sukria@sukria.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexis Sukrieh <sukria@sukria.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libnet-amazon-s3-perl -- Perl library for using the Amazon's Simple Storage Service API
Date: Wed, 24 May 2006 16:10:06 +0200
Package: wnpp
Severity: wishlist


* Package name    : libnet-amazon-s3-perl
  Version         : 0.32
  Upstream Author : Leon Brocard <acme@astray.com> and unknown Amazon Digital Services programmers.
* URL             : http://search.cpan.org/~lbrocard/Net-Amazon-S3-0.32/lib/Net/Amazon/S3.pm
* License         : Unknown, licence written in the module:

#  This software code is made available "AS IS" without warranties of any
#  kind.  You may copy, display, modify and redistribute the software
#  code either by itself or as incorporated into your code; provided that
#  you do not remove any proprietary notices.  Your use of this software
#  code is at your own risk and you waive any claim against Amazon
#  Digital Services, Inc. or its affiliates with respect to your use of 
#  this software code. (c) 2006 Amazon Digital Services, Inc. or its
#  affiliates.

  Programming Lang: Perl
  Description     : Perl library for using the Amazon's Simple Storage Service API

This module provides a Perlish interface to Amazon S3. From the
developer blurb: "Amazon S3 is storage for the Internet. It is
designed to make web-scale computing easier for developers. Amazon S3
provides a simple web services interface that can be used to store and
retrieve any amount of data, at any time, from anywhere on the web. It
gives any developer access to the same highly scalable, reliable,
fast, inexpensive data storage infrastructure that Amazon uses to run
its own global network of web sites. The service aims to maximize
benefits of scale and to pass those benefits on to developers".

To find out more about S3, please visit: http://s3.amazonaws.com/

Note: upcoming package backup-manager 0.7.3-1 will suggest this package.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-vserver-686
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1) (ignored: LC_ALL set to fr_FR)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368734; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexis Sukrieh <sukria@sukria.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 368734@bugs.debian.org (full text, mbox):

From: Alexis Sukrieh <sukria@sukria.net>
To: 368734@bugs.debian.org
Subject: [libnet-amazon-s3-perl] Itent to packge
Date: Fri, 08 Sep 2006 15:24:10 +0200
retitle 368734 ITP: libnet-amazon-s3-perl - Perl library for using the 
Amazon's Simple Storage Service API
thanks

I itent to package that Perl library as backup-manager can use it (and 
thus, should suggest that package).

	Alexis.



Changed Bug title. Request was from Alexis Sukrieh <sukria@sukria.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Alexis Sukrieh <sukria@sukria.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Alexis Sukrieh <sukria@sukria.net>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alexis Sukrieh <sukria@sukria.net>:
Bug#368734; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alexis Sukrieh <sukria@sukria.net>. Full text and rfc822 format available.

Message #23 received at 368734@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 368734@bugs.debian.org
Cc: djpig@debian.org
Subject: ITP: libnet-amazon-s3-perl -- Perl library for using the Amazon's Simple Storage Service API
Date: Sun, 14 Jan 2007 13:48:42 +0100
[Message part 1 (text/plain, inline)]
What happened to this package? It doesn't seem to be in the archive or in NEW, 
although it is marked as pending, and there is even an updated version in 
svn.

Regards,

Marcus
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Damyan Ivanov <dam@modsoftsys.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexis Sukrieh <sukria@sukria.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 368734-done@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 368734-done@bugs.debian.org
Cc: Marcus Better <marcus@better.se>, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-amazon-s3-perl
Date: Wed, 15 Aug 2007 12:59:17 +0300
[Message part 1 (text/plain, inline)]
Version: 0.38-1

> What happened to this package? It doesn't seem to be in the archive or in NEW, 
> although it is marked as pending, and there is even an updated version in 
> svn.

Hi, Marcus,

I've uploaded version 0.38-1 and it is currently in NEW.

If you still need it, that is :)
-- 
dam            JabberID: dam@jabber.minus273.org

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexis Sukrieh <sukria@sukria.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 368734-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 368734-close@bugs.debian.org
Subject: Bug#368734: fixed in libnet-amazon-s3-perl 0.39-2
Date: Sat, 08 Sep 2007 15:35:07 +0000
Source: libnet-amazon-s3-perl
Source-Version: 0.39-2

We believe that the bug you reported is fixed in the latest version of
libnet-amazon-s3-perl, which is due to be installed in the Debian FTP archive:

libnet-amazon-s3-perl_0.39-2.diff.gz
  to pool/main/libn/libnet-amazon-s3-perl/libnet-amazon-s3-perl_0.39-2.diff.gz
libnet-amazon-s3-perl_0.39-2.dsc
  to pool/main/libn/libnet-amazon-s3-perl/libnet-amazon-s3-perl_0.39-2.dsc
libnet-amazon-s3-perl_0.39-2_all.deb
  to pool/main/libn/libnet-amazon-s3-perl/libnet-amazon-s3-perl_0.39-2_all.deb
libnet-amazon-s3-perl_0.39.orig.tar.gz
  to pool/main/libn/libnet-amazon-s3-perl/libnet-amazon-s3-perl_0.39.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368734@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libnet-amazon-s3-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 07 Sep 2007 21:54:33 +0300
Source: libnet-amazon-s3-perl
Binary: libnet-amazon-s3-perl
Architecture: source all
Version: 0.39-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libnet-amazon-s3-perl - Amazon S3 Perl API - Simple Storage Service
Closes: 368734
Changes: 
 libnet-amazon-s3-perl (0.39-2) unstable; urgency=low
 .
   [ Damyan Ivanov ]
   * Drop libxml-libxml-xpathcontext-perl from Depends since
     XML::LibXML::XPathContext is in libxml-libxml-perl, which is in Depends
   * debian/rules
     + remove *-stamp before anythng else in clean:
     + Drop unused dh_link call
 .
   [ gregor herrmann ]
   * Add upstream source location to debian/copyright
   * Use cpan.org in debian/watch
 .
 libnet-amazon-s3-perl (0.39-1) unstable; urgency=low
 .
   * New upstream release
   * Upstream switched from Module-Build to MakeMaker. Follow-up in
     debian/rules
     Clarified commends, dropped obsolete source and diff targets
   * Dropped lidmodule-build from Build-Depends
   * Added libdigest-md5-file-perl to (Build-)Depends
 .
 libnet-amazon-s3-perl (0.38-1) unstable; urgency=low
 .
   * New upstream release
   * Bumped DH compat level to 5. Adjusted debhelper Build-Dependency
     accordingly
   * Add packaging copyright to debian/copyright
   * Dropped dh_strip from debian/rules
   * Added libtest-pod-perl and libtest-pod-coverage-perl to B-D-I
   * Added myself to uploaders
 .
 libnet-amazon-s3-perl (0.36-2) UNRELEASED; urgency=low
 .
   [ Frank Lichtenheld ]
   * Fix typo in Description
 .
   [ gregor herrmann ]
   * Set Maintainer to Debian Perl Group with permission of Alexis Sukrieh.
 .
 libnet-amazon-s3-perl (0.36-1) unstable; urgency=low
 .
   * Initial Release, closes ITP.
     (closes: #368734).
   * Newer upstream release than the one mentioned in the ITP (0.32 - 0.36).
Files: 
 beec37cbc790faf3668834c8a94bb68f 1021 perl optional libnet-amazon-s3-perl_0.39-2.dsc
 bde9c5fc3b602ad0137f1760235599e0 18160 perl optional libnet-amazon-s3-perl_0.39.orig.tar.gz
 7d9436a1ec2b0a796d8d6d63b8f92bd7 3012 perl optional libnet-amazon-s3-perl_0.39-2.diff.gz
 458447eaeb654a4bc20d8146be14ae39 31280 perl optional libnet-amazon-s3-perl_0.39-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG4aGrHqjlqpcl9jsRAj5uAKCMG+UuEiTIr5OmQBKAHCLzSj7FrgCgrra+
zAnSo29O9fO0SPVbcq581Uw=
=4IlC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 13:11:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:55:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.